<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>counters-001</title>
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		.spacer {
			height: 14cm;
		}

		body, section > div {
			counter-reset: section;
		}

		h3 {
			break-after: auto;
		}

		h2::before, h3::before {
			content: counters(section, ".") ". ";
			counter-increment: section;
		}
	</style>
</head>
<body>
<div class="spacer">The counters must correspond to the section title</div>
<section>
	<h2>Section 1</h2>
	<div>
		<section>
			<h3>Section 1.1</h3>
		</section>
	</div>
</section>
<section>
	<h2>Section 2</h2>
	<div>
		<section>
			<h3>Section 2.1</h3>
		</section>
		<section>
			<h3>Section 2.2</h3>
		</section>
		<section>
			<h3>Section 2.3</h3>
		</section>
		<section>
			<h3>Section 2.4</h3>
		</section>
	</div>
</section>
</body>
</html>

